# Apache Tomcat 6.0

Links

- Docs Home
- Config Ref. Home

Top Level Elements

- Server
- Service

Executors

- Executor

Connectors

- HTTP
- AJP

Containers

- Context
- Engine
- Host
- Cluster

Nested Components

- Listeners
- Global Resources
- Loader
- Manager
- Realm
- Resources
- Valve

Cluster Elements

- Cluster
- Manager
- Channel
- Channel/Membership
- Channel/Sender
- Channel/Receiver
- Channel/Interceptor
- Valve
- Deployer
- ClusterListener

Global Settings

- System properties

# Apache Tomcat Configuration Reference

## The Cluster Channel object

Table of Contents

> - Introduction
> - Nested Components
> - Attributes
>   1. Common Attributes

Introduction

> The cluster channel is the main component of a small framework we've nicknamed Apache Tribes.
> The channel manages a set of sub components and together they create a group communication framework.
> This framework is then used internally by the components that need to send messages between different Tomcat instances.
> A few examples of these components would be the SimpleTcpCluster that does the messaging for the DeltaManager, or the BackupManager that uses a different replication strategy. The ReplicatedContext object does also use the channel object to communicate context attribute changes.

Nested Components

> Channel/Membership:
> The Membership component is responsible for auto discovering new nodes in the cluster and also to provide for notifications for any nodes that have not responded with a heartbeat. The default implementation uses multicast.
> In the membership component you configure how your nodes, aka. members, are to be discovered and/or divided up. You can always find out more about Apache Tribes

> Channel/Sender:
> The Sender component manages all outbound connections and data messages that are sent over the network from one node to another. This component allows messages to be sent in parallel. The default implementation uses TCP client sockets, and socket tuning for outgoing messages are configured here.
> You can always find out more about Apache Tribes

> Channel/Sender/Transport:
> The Transport component is the bottom IO layer for the sender component. The default implementation uses non-blocking TCP client sockets.
> You can always find out more about Apache Tribes

> Channel/Receiver:
> The receiver component listens for messages from other nodes. Here you will configure the cluster thread pool, as it will dispatch incoming messages to a thread pool for faster processing. The default implementation uses non-blocking TCP server sockets.
> You can always find out more about Apache Tribes

> Channel/Interceptor:
> The channel will send messages through an interceptor stack. Because of this, you have the ability to customize the way messages are sent and received, and even how membership is handled.
> You can always find out more about Apache Tribes

Attributes

> Common Attributes

> > Attribute | Description
> > --- | ---
> > `className` | The default value here is `org.apache.catalina.tribes.group.GroupChannel` and is currently the only implementation available.

Copyright © 1999-2010, Apache Software Foundation